Subject: bug#12524: 24.2.50; package-delete errors if directory doesn't exist

From: Ivan Andrus <[email-masked]>
Date: Thu, 27 Sep 2012 08:55:17 +0200

On Sep 27, 2012, at 5:22 AM, Chong Yidong wrote:

> Ivan Andrus <[email-masked]> writes:
> 
>> If a directory for a package does not exist (say it was deleted outside
>> of emacs), then package-delete errors, which causes further packages to
>> not be deleted.
> 
> This patch doesn't look right.  The call to package-delete in
> package-menu-execute is wrapped in a condition-case-unless-debug, so
> errors in package-delete should still allow further packages to be
> deleted, unless debug-on-error is non-nil.

It appears you are right.  I kept seeing "byte-code: Wrong type argument: stringp, stringp" which made me nervous.  At least sometimes I thought I had non-deleted packages hanging around, but that may have been due to debug-on-error.  I tend to turn it on and forget to turn it off.

Thanks, and sorry for the noise.

-Ivan